{% extends "base.html" %}

{% block app_content %}
<div class="container">
    <div class="row">
        <div class="table-responsive">
            <table class="table table-striped table-bordered">
                <thead>
                    <tr>
                        <th>提交编号</th>
                        <th>题目id</th>
                        <th>提交用户</th>
                        <th>语言</th>
                        <th>结果</th>
                        <th>运行时间</th>
                        <th>运行内存</th>
                        <th>代码长度</th>
                        <th>提交时间</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>1005</td>
                        <td>0001</td>
                        <td>4x10msv</td>
                        <td>C++</td>
                        <!-- TODO:结果的细化显示 -->
                        <td>100</td>
                        <td>996ms</td>
                        <td>1024KB</td>
                        <td>1.2KB</td>
                        <td>2020/5/11 23:50</td>
                    </tr>
                    <tr>
                        <td>1003</td>
                        <td>0001</td>
                        <td>4x10msv</td>
                        <td>C++</td>
                        <td>90</td>
                        <td>996ms</td>
                        <td>1024KB</td>
                        <td>1.2KB</td>
                        <td>2020/5/11 23:48</td>
                    </tr>
                    <tr>
                        <td>1001</td>
                        <td>0001</td>
                        <td>4x10msv</td>
                        <td>C++</td>
                        <td>TLE</td>
                        <td>1001ms</td>
                        <td>1024KB</td>
                        <td>1.2KB</td>
                        <td>2020/5/11 23:47</td>
                    </tr>
                    <tr>
                        <td>1099</td>
                        <td>0003</td>
                        <td>4x10msv</td>
                        <td>pdf</td>
                        <td>AC</td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td>2020/5/11 23:46</td>
                    </tr>
                </tbody>
            </table>
        </div>

    </div>

    <nav>
        <ul class="pagination justify-content-center">
            <li class="page-item">
                <a class="page-link" href="#">&laquo;</a>
            </li>
            <li class="page-item">
                <a class="page-link" href="#">1</a>
            </li>
            <li class="page-item">
                <a class="page-link" href="#">&raquo;</a>
            </li>
        </ul>
    </nav>

</div>

{% endblock %}